Page MenuHomePhabricator

Include `dnsblacklist` in logs
Closed, ResolvedPublic

Description

To monitor if it's successful enough.

Event Timeline

Urbanecm created this task.Aug 20 2019, 5:31 PM
Restricted Application added a project: User-Urbanecm. · View Herald TranscriptAug 20 2019, 5:31 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript

Change 531287 had a related patch set uploaded (by Urbanecm; owner: Urbanecm):
[mediawiki/core@master] Log DNS blacklist matches with info level, non-matches with debug level

https://gerrit.wikimedia.org/r/531287

Urbanecm moved this task from Backlog to Working on on the User-Urbanecm board.Aug 20 2019, 6:18 PM

Change 531287 had a related patch set uploaded (by Urbanecm; owner: Urbanecm):
[mediawiki/core@master] Log DNS blacklist matches with info level, non-matches with debug level

https://gerrit.wikimedia.org/r/531287

Change 531299 had a related patch set uploaded (by Urbanecm; owner: Urbanecm):
[operations/mediawiki-config@master] Log dnsblacklist entries at info level

https://gerrit.wikimedia.org/r/531299

daniel triaged this task as Normal priority.Aug 22 2019, 7:55 AM
Urbanecm moved this task from Working on to Backlog on the User-Urbanecm board.
Anomie added a subscriber: Anomie.

(Looks like this received CPT review. Move back if more review is needed.)

Change 531287 merged by jenkins-bot:
[mediawiki/core@master] Log DNS blacklist matches with info level, non-matches with debug level

https://gerrit.wikimedia.org/r/531287

Change 531299 merged by jenkins-bot:
[operations/mediawiki-config@master] Enable logging for BlockManager channel at info level

https://gerrit.wikimedia.org/r/531299

Mentioned in SAL (#wikimedia-operations) [2019-09-18T16:43:45Z] <Urbanecm> 8340be9 sync is for T230822, mistakenly inserted test instead of the task number

Urbanecm closed this task as Resolved.Sep 18 2019, 4:44 PM

Should be done.

Change 537691 had a related patch set uploaded (by Urbanecm; owner: Urbanecm):
[operations/mediawiki-config@master] Enable DNS blacklist on testwiki temporarily

https://gerrit.wikimedia.org/r/537691

Change 537691 merged by jenkins-bot:
[operations/mediawiki-config@master] Enable DNS blacklist on testwiki temporarily

https://gerrit.wikimedia.org/r/537691

Mentioned in SAL (#wikimedia-operations) [2019-09-18T16:48:39Z] <urbanecm@deploy1001> Synchronized wmf-config/VariantSettings.php: SWAT: [[:gerrit:537691|Enable DNS blacklist on testwiki temporarily]] (T230822) (duration: 01m 03s)

Reedy added a subscriber: Reedy.EditedSep 18 2019, 4:49 PM

To monitor if it's successful enough.

Successful at what exactly?

To monitor if it's successful enough.

Successful at what exactly?

Sorry, I should've clarified. I want to make sure it doesn't block anything that should go through.